const resolveMrnLink = (windowLocation, mrn, applicationId) => {
    const isSolutionService = windowLocation.pathname === "/solution/index.html";
    if (isSolutionService) {
        const path = windowLocation.pathname.replace("index", "resolver");
        const hash = windowLocation.hash.split("/")[0];
        return path + hash + "?mrn=" + encodeURIComponent(mrn);
    }
    return windowLocation.pathname + "#" + applicationId;
};
export default resolveMrnLink;
//# sourceMappingURL=resolveMrnLink.js.map