import { jsx as _jsx } from "react/jsx-runtime";
import { html } from "@codemirror/lang-html";
import { EditorView } from "@codemirror/view";
import CodeMirror from "@uiw/react-codemirror";
const HtmlEditor = ({ value, onChange, id, readOnly, }) => {
    return (_jsx(CodeMirror, { readOnly: readOnly, value: value, extensions: [html(), EditorView.lineWrapping], onChange: (value) => onChange?.({ value }), id: id, role: "textbox", "data-testid": "code-editor", height: "300px", width: "100%" }));
};
export default HtmlEditor;
//# sourceMappingURL=Html.js.map