import { jsx as _jsx } from "react/jsx-runtime";
import { json } from "@codemirror/lang-json";
import { EditorView } from "@codemirror/view";
import CodeMirror from "@uiw/react-codemirror";
const CodeEditor = ({ value, onChange, id, readOnly, }) => {
    return (_jsx(CodeMirror, { readOnly: readOnly, value: value, extensions: [json(), EditorView.lineWrapping], onChange: (value) => onChange?.({ value }), id: id, role: "textbox", "data-testid": "code-editor", height: "300px", width: "100%" }));
};
export default CodeEditor;
//# sourceMappingURL=Json.js.map