import { jsx as _jsx } from "react/jsx-runtime";
import ReactQuill from "react-quill";
import "react-quill/dist/quill.snow.css";
import "./Richtext.css";
const RichTextEditor = ({ value, onChange, id, readOnly, }) => {
    return (_jsx(ReactQuill, { readOnly: readOnly, theme: "snow", value: value, onChange: (value) => onChange?.({ value }), style: { height: "300px", paddingBottom: "41px", width: "100%" }, id: id, modules: {
            clipboard: {
                matchVisual: false, //* prevent injection of extra <p><br></p> between headers
            },
        }, "data-testid": "richtext-editor" }));
};
export default RichTextEditor;
//# sourceMappingURL=Richtext.js.map