import { TextField } from "@mui/material";
import { styled } from "@mui/material/styles";
const inputWidth = "225px";
const color = "#707070";
const StyledTextField = styled(TextField)(() => ({
    "& input": {
        fontSize: 14,
        color: color,
        fontWeight: 300,
        "&::placeholder": {
            color: "#999",
            opacity: 1,
        },
    },
    "& label": {
        color: color,
        fontWeight: 300,
    },
    "& label.Mui-focused": {
        color: color,
    },
    "& .MuiOutlinedInput-notchedOutline legend": {
        width: 0,
    },
    "& .MuiOutlinedInput-root": {
        minWidth: inputWidth,
        "&.Mui-focused fieldset": {
            border: "1px solid rgba(0,0,0,0.87)",
            borderRadius: "4px",
        },
    },
}));
export default StyledTextField;
//# sourceMappingURL=Textfield.styles.js.map