import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { FaChevronDown } from "@react-icons/all-files/fa/FaChevronDown";
import { FaChevronUp } from "@react-icons/all-files/fa/FaChevronUp";
import * as styles from "./HeaderCollapseButton.module.scss";
const HeaderCollapseButton = ({ isOpen, itemsCount, onClick }) => {
    return (_jsxs("div", { className: styles["header-collapse-button"], children: [typeof itemsCount === "number" && (_jsx("p", { "data-testid": "control-items-count", children: itemsCount })), _jsxs("button", { type: "button", onClick: () => onClick(), children: [isOpen && _jsx(FaChevronUp, { "data-testid": "collapse-up-button", size: 10 }), !isOpen && (_jsx(FaChevronDown, { "data-testid": "collapse-down-button", size: 10 }))] })] }));
};
export default HeaderCollapseButton;
//# sourceMappingURL=index.js.map