const createControl = ({ displayName, isGroup, submenu, visibility, groupChildVisibility, error, }) => {
    const input = {
        control: "input",
        type: "plain",
        error,
        displayName,
    };
    const group = {
        control: "group",
        displayName,
        controls: {
            input: {
                control: "input",
                type: "plain",
                error,
                displayName,
                "custom-attributes": {
                    visibility: { form: groupChildVisibility || "visible" },
                },
            },
        },
        "custom-attributes": {
            submenu,
            visibility: { form: visibility || "visible" },
        },
    };
    return isGroup ? group : input;
};
export default createControl;
//# sourceMappingURL=createControl.js.map