import styled from "styled-components";
import Input from "../Input";
export const StyledDateRangeGroupContainer = styled.div `
  position: relative;
  font-size: 14px;
  font-weight: 400;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  gap: 10px;
  padding: 10px 0;
  margin-bottom: -10px;
  @media screen and (max-width: 767px) {
    flex-direction: column;
    gap: 5px;
  }
  container-type: inline-size;
`;
export const Styledlabel = styled.label `
  font-size: 14px;
  font-weight: 400;
  width: 200px;
  text-align: right;
  flex-shrink: 0;
  margin: 0 !important;
  padding-top: 9px;
  font-size: 14px;
  @media screen and (max-width: 767px) {
    text-align: left;
  }
`;
export const StyledInput = styled(Input) `
  font-size: 14px;
  font-weight: 400;
  box-sizing: border-box;
  padding: 6px 12px;
  width: 40%;
  outline: none;
  border: 1px solid #ccc;
  font-size: 14px;
  color: #555;
  box-shadow: none !important;
  border-radius: 4px;
  &:hover,
  &:focus {
    border: 1px solid rgba(0, 0, 0, 0.87);
  }
  &::-moz-placeholder {
    color: #999;
    opacity: 1;
  }
  &:-ms-input-placeholder {
    color: #999;
  }
  &::-webkit-input-placeholder {
    color: #999;
  }
`;
//# sourceMappingURL=DateRangeGroup.styles.js.map