import qs from "qs";
const jsonToUrlEncoded = (obj) => {
    return qs.stringify(obj, {
        allowDots: true,
        encoder: function (str, defaultEncoder, charset, type) {
            const listKey = str[str.length - 1] === "]";
            if (type === "key" && listKey) {
                return encodeURIComponent(str.replace(/\[\d+\]$/, "")); // listKey[0] -> listKey
            }
            return encodeURIComponent(str);
        },
    });
};
export default jsonToUrlEncoded;
//# sourceMappingURL=jsonToUrlEncoded.js.map