import styled from "styled-components";
import { Clear } from "@mui/icons-material";
export const StyledInputWrapper = styled.div `
  width: 100%;
  position: relative;
`;
export const StyledClearButtonWrapper = styled.div `
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: 40px;
  border-radius: 100%;
  display: ${(props) => (props.inputValue === "" ? "none" : "flex")};
  justify-content: center;
  align-items: center;
  cursor: pointer;
  &:hover {
    background-color: #f5f5f5;
  }
`;
export const StyledClearButton = styled(Clear) `
  color: #767676;
`;
//# sourceMappingURL=input.styles.js.map