import useDependent from "../../useDependent";
const useOptionsGenerator = ({ query, controlKey, objectPathId, options, }) => {
    if (!query)
        return { options };
    const optionsRegexValue = `#{${controlKey}.options}`;
    const queryWithSelectOptions = query.replaceAll(optionsRegexValue, JSON.stringify(options));
    const { resolvedQuery, mrnEntriesLoaded } = useDependent({
        query: queryWithSelectOptions,
        objectPathId,
    });
    // eslint-disable-next-line no-eval
    const resolvedQueryOptions = eval(resolvedQuery);
    return { options: resolvedQueryOptions, mrnEntriesLoaded };
};
export default useOptionsGenerator;
//# sourceMappingURL=useOptionsGenerator.js.map