export const isGroupRequired = ({ controls, }) => {
    for (const fieldName in controls) {
        const field = controls[fieldName];
        if (field.required && field.value) {
            return true;
        }
        if (field.control === "list" && field.items) {
            for (const item of field.items) {
                if (isGroupRequired({ controls: item })) {
                    return true;
                }
            }
        }
        if (field.control === "group" && field.controls) {
            if (isGroupRequired({ controls: field.controls })) {
                return true;
            }
        }
    }
    return false;
};
//# sourceMappingURL=index.js.map